Bug 421408 - Opening a new Konsole tab via --new-tab does not bring Konsole into focus
Summary: Opening a new Konsole tab via --new-tab does not bring Konsole into focus
Status: RESOLVED FIXED
Alias: None
Product: konsole
Classification: Unclassified
Component: general (show other bugs)
Version: 20.04.0
Platform: Archlinux Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Konsole Developer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-12 13:10 UTC by Martin
Modified: 2020-07-28 14:30 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 20.08


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin 2020-05-12 13:10:26 UTC
SUMMARY
When launching a new Konsole tab (not window) via `konsole --new-tab`, Konsole opens another tab correctly, but does not demand focus.

This is an issue for example when --new-tab is used in a Custom Shortcut, where Konsole is likely not to be previously in focus already.

STEPS TO REPRODUCE
1. Bind a Custom Shortcut to `konsole --new-tab`
2. Use the shortcut - Konsole launches and correctly focuses
3. Minimize the Konsole tab/unfocus it
4. Use the shorcut - Konsole launches another tab, but stays in background

OBSERVED RESULT
Konsole stays in background

EXPECTED RESULT
Konsole should demand focus and be in foreground

SOFTWARE/OS VERSIONS
Operating System: Arch Linux 
KDE Plasma Version: 5.18.5
KDE Frameworks Version: 5.70.0
Qt Version: 5.14.2
Kernel Version: 5.6.11-arch1-1
OS Type: 64-bit
Processors: 12 × AMD Ryzen 5 3600 6-Core Processor
Memory: 31.4 GiB of RAM

ADDITIONAL INFORMATION
Comment 1 Martin 2020-07-27 23:16:01 UTC
Open PR that fixes this:
https://invent.kde.org/utilities/konsole/-/merge_requests/177
Comment 2 Kurt Hindenburg 2020-07-28 14:21:50 UTC
Git commit 999f6e373e1ebd9538b9d0d5fdd367ec985c0954 by Kurt Hindenburg, on behalf of Martin Rys.
Committed on 28/07/2020 at 14:21.
Pushed by hindenburg into branch 'master'.

Fix focus when using --new-tab

Note that Konsole is not un-minimized ATM.
FIXED-IN: 20.08

https://invent.kde.org/utilities/konsole/-/merge_requests/177

M  +1    -0    src/Application.cpp

https://invent.kde.org/utilities/konsole/commit/999f6e373e1ebd9538b9d0d5fdd367ec985c0954
Comment 3 Kurt Hindenburg 2020-07-28 14:30:11 UTC
Git commit 7389143a55dea68a96217b245d22bd02013d64c1 by Kurt Hindenburg, on behalf of Martin Rys.
Committed on 28/07/2020 at 14:26.
Pushed by hindenburg into branch 'release/20.08'.

Fix focus when using --new-tab

Note that Konsole is not un-minimized ATM.
FIXED-IN: 20.08

https://invent.kde.org/utilities/konsole/-/merge_requests/177
(cherry picked from commit 999f6e373e1ebd9538b9d0d5fdd367ec985c0954)

M  +1    -0    src/Application.cpp

https://invent.kde.org/utilities/konsole/commit/7389143a55dea68a96217b245d22bd02013d64c1